mbox-extract-patch(1)

NAME
mbox-extract-patch - extract a git patch series from an mbox

SYNOPSIS
mbox-extract-patch [OPTIONS] <MBOX

DESCRIPTION
mbox-extract-patch extracts a series of git patches from an mbox. It is designed to extract patches that were originally sent using git-send-email(1). It skips cover letters and replies/reviews in its output.

OPTIONS

-v|--reroll-count=N
    Try to extract the Nth version of a patch series, where these patches are identified by subject prefixes like "[PATCH vN 1/3]".

    If this option is not specified, and there is more than one series, default to extracting the version of the patch series with the highest version number we find.

    Note that this option should not usually be needed, because best practices when sharing patches with git-send-email(1) include starting a new thread when posting a revised series. The --in-reply-to option to git-format-patch(1) is used mainly for posting a patch series in reply to a bug report.

--trailers
    Extract and add to patches lines like

        Acked-by: A. Developer <a.dev@example.net>

    sent in reply to those patches. --trailers is on by default, and --no-trailers can be used to disable adding the trailers.

--cover-letter-trailers
    Additionally add to all patches in the series any trailers sent in reply to the cover letter of the patch series.

EXAMPLE
    % git checkout -b test-feature
    % mbox-extract-patch <thread.mbox | git am

LIMITATIONS
Detection of cover letters is currently quite simplistic.

SEE ALSO
notmuch(1), git-send-email(1), notmuch-extract-patch(1)

AUTHOR
Sean Whitton <spwhitton@spwhitton.name>